.main-header{
   width: 100%;
   height: 48px;
   position: fixed;
   top: 0;
   z-index: 3;
}

.header-wrapper{
   display: flex;
   align-items: center;
   justify-content: space-between;
   margin: 0 auto;
   background: var(--theme-color-header-bg);
   box-shadow: 0px 4px 24px 8px var(--theme-color-header-bg-shadow);
   backdrop-filter: blur(12px);


   .button{
      display: none;
      opacity: 0;
      animation: op-button 1.5s;
   }

}

.header-wrapper__bg{
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   opacity: 0;
   background: radial-gradient(100.78% 106.26% at 33.46% 18.73%, rgba(23, 23, 94, 0.8) 0%, rgba(94, 58, 144, 0.8) 100%);
   box-shadow: 0px 24px 40px rgba(59, 50, 135, 0.25);
   backdrop-filter: blur(12px);
   animation: op 1.5s;
}

.header-wrapper__bg--is-change{
   background: radial-gradient(100.78% 106.26% at 33.46% 18.73%, rgba(23, 23, 94, 0.8) 0%, rgba(94, 58, 144, 0.8) 100%);
   box-shadow: 0px 24px 40px rgba(59, 50, 135, 0.25);
   backdrop-filter: blur(12px);
   opacity: 1;
   animation: slide-left 1.75s;
}

.header-wrapper--is-scroll{
   background: radial-gradient(100.78% 106.26% at 33.46% 18.73%, rgba(23, 23, 94, 0.8) 0%, rgba(94, 58, 144, 0.8) 100%);
   box-shadow: 0px 24px 40px rgba(59, 50, 135, 0.25);
   backdrop-filter: blur(12px);
   animation: none;
}

.logo{
   display: flex;
   align-items: center;
   margin-left: 12px;
   z-index: 2;

   .text{
      font-family: Didact Gothic;
      font-weight: 400;
      font-size: 18px;
      line-height: 1.3;
      letter-spacing: -0.03em;
      color: var(--theme-color-white);
      z-index: 2;
   }
}

.logo__link{
   width: 33px;
   height: 15.5px;
   margin-right: 6.5px;
   transition: all 1s ease 0s;
}

.logo__img{
   display: block;
   object-fit: contain;
   object-position: center;
   width: 100%;
   height: 100%;
}

.header-menu{
   display: none;
}

.header-burger{
   width: 32px;
   height: 18px;
   position: relative;
   margin-right: 12px;

   .header-burger__btn{
      content: "";
      width: 100%;
      height: 2px;
      position: absolute;
      background: var(--theme-color-white);
      transition: all 1s ease 0s;
   }
   
   .header-burger__btn--top{
      top: 0;
      transition: all 1s ease 0s;
   }
   
   .header-burger__btn--center{
      top: 50%;
      transform: translate(0, -50%);
      transition: all 1s ease 0s;
   }
   
   .header-burger__btn--bottom{
      bottom: 0;
      transition: all 1s ease 0s;
   }
}

.header-burger--is-active{
   border: 2px solid white;
   border-radius: 50%;
   overflow: hidden;
   transition: all 1.5s ease 0s;
   
   .header-burger__btn--top{
      top: 50%;
      transform: rotate(-45deg) translate(0px, -50%);
      transition: all 1.5s ease 0s;
   }

   .header-burger__btn--center{
      opacity: 0;
      transition: all 1.5s ease 0s;
   }
   
   .header-burger__btn--bottom{
      bottom: 50%;
      transform: rotate(45deg) translate(0px, 50%);
      transition: all 1.5s ease 0s;
   }
}

.header-menu--is-active{
   display: flex;
   flex-direction: column;
   align-items: flex-end;
   position: absolute;
   top: 48px;
   right: 0;
   height: 100vh;
   width: 100%;
   background: radial-gradient(33.46% 18.73% at 100.78% 106.26%, rgba(23, 23, 94, 0.8) 0%, rgba(94, 58, 144, 0.8) 100%);
   box-shadow: 0px 24px 40px rgba(59, 50, 135, 0.25);
   backdrop-filter: blur(12px);
   pointer-events: auto;
   animation: slide-left 1.5s;

}

.header-menu__item{
   margin: 15px 12px;
}

.header-menu__link{
   font-family: Didact Gothic;
   font-weight: 500;
   font-size: 20px;
   line-height: 1.15;
   color: var(--theme-color-white);
   transition: all 1s ease 0s;
}

.button__img{
   display: block;
   object-fit: cover;
   object-position: center;
   padding-right: 16.5px;
   margin-left: 6px;
}

@media screen and (min-width: 576px){
   .main-header{
      height: 72px;
   }
   
   .logo{ 
      .text{  
         font-size: 28px;
      }
   }
   
   .logo__link{
      width: 51px;
      height: 24px;
      margin-right: 8px;
   }
    
   .header-menu--is-active{
      top: 72px;
   }
}

@media screen and (min-width: 768px){
   .main-header{
      .button{
         position: absolute;
         right: 72px;
         top: 50%;
         transform:translate(0px, -50%);
         animation: none;
         display: flex;
         opacity: 1;
         font-family: Didact Gothic;
         font-weight: 500;
         font-size: 13px;
         line-height: 15px;
         color: var(--theme-color-y-black);
         align-items: center;
         padding: 16.5px 6px 16.5px 27.5px;
         background: var(--theme-color-y-yellow);
         border-radius: 8px;
      }
   }
}

@media screen and (min-width: 992px){

}

@media screen and (min-width: 1200px){
   .main-header{
      .button{
         position: static;
         margin-right: 24px;
         right: auto;
         transform: translate(0, 0);
      }
   
   .logo{
      margin-left: 24px;
   }
   
   .logo__link{
      margin-right: 8px;
   }
     
   .header-menu{
      display: flex;
      z-index: 3;
   }

   .header-menu__item{
      margin-right: 32px;
   }
   
   .header-burger{
      display: none;
   }
     
   .header-menu__link{
      font-size: 13px;
   }
}
}
